import gcode_read_IMP

#################### READ.
def read_gcode(inputName, nSlice):
  return gcode_read_IMP.read_gcode(inputName, nSlice)

#################### RASTER LINES + SIDES.
def check_side(r1, r2):
  return gcode_read_IMP.check_side(r1, r2)
  
def find_sides(R):
  return gcode_read_IMP.find_sides(R)
  
def create_raster_lines(islice, RP, mp_trace_raster, angle):  
  return gcode_read_IMP.create_raster_lines(islice, RP, mp_trace_raster, angle)
  
#################### SPLIT + LIMIT.
def split_block(R, group_max, S):
  return gcode_read_IMP.split_block(R, group_max, S)
  
def limit_block(R, group_max, S, limit_max):
  return gcode_read_IMP.limit_block(R, group_max, S, limit_max)

#################### BLOCKS + CONTACTS.
def create_contact(S, R, BS, mp_trace, mp_jump):
  return gcode_read_IMP.create_contact(S, R, BS, mp_trace, mp_jump)
  
def create_blocks(R, S, CTRS, group_max, mp_trace, mp_jump, angle):
  return gcode_read_IMP.create_blocks(R, S, CTRS, group_max, mp_trace, mp_jump, angle)